<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title> JSON </title>
  <script>

var fidoString = '{ "name": "Fido", "breed": "Mixed", "weight": 38 }';
var fido = JSON.parse(fidoString);
console.log("We have made a dog out of a string! " + fido.name);


var fido2 = {
	name: "Fido",
	breed: "Mixed",
	weight: 38
};


var fidoString = JSON.stringify(fido2);
console.log("We made a string from a dog! " + fidoString);

  </script>
</head>
<body>
    <div id="div1"></div>
    <div id="div2"></div>
</body>
<script type="text/javascript">
var animal = {
    breed: { 
        latin: "Boidae",
        swedish: "Jätteorm"
    },
    sound: "none"
}

var myString = JSON.stringify(animal);
console.log(animal);
console.log(myString);
document.getElementById("div1").innerHTML = myString;
var myObject = JSON.parse(myString);
var animalBreed = myObject.breed;
var myString2 = JSON.stringify(animalBreed);
document.getElementById("div2").innerHTML = myString2;
</script>
</html>
